// SPDX-License-Identifier: MIT
pragma solidity ^0.8.13;

import "@openzeppelin/contracts/token/ERC20/IERC20.sol";
import "@openzeppelin/contracts/access/IAccessControlEnumerable.sol";

interface IERC20PresetMinterPauser is IERC20, IAccessControlEnumerable {
    function mint(address to, uint256 amount) external;
    function pause() external;
    function unpause() external;
    function paused() external view virtual returns (bool);
    function burn(uint256 amount) external;
    function burnFrom(address account, uint256 amount) external;
}

